Return label

POST /openapi/Return/GetReturnLabel — TMS API · Return

Returns the carrier return label for return codes. The body is the same as GetReturnCodeStatus, the response structure is the same as CreateLabel. The identity is resolved from the token.

İstek gövdesi

  • clientCode (string): Deprecated: obtained from identity token.
  • accountCode (string): Deprecated: obtained from identity token.
  • returnCodes (object[], zorunlu): Return codes to query.
    • returnCodes.returnCode (string): Return code.
    • returnCodes.orderNumber (string): Order number.
    • returnCodes.locationCode (string): Location code.

Yanıtlar

  • 200: Return labels
  • 400: Return not found or label not obtained
  • 401: No token/invalid or token does not contain account information

200 yanıt alanları

  • format (string): Label format.
  • carrierCode (string): Carrier code.
  • barcodeLabel (string): Label content (ZPL text or content encoded according to format).
  • barcodeValue (string): Barcode value on the label.
  • trackingLink (string): Tracking link.
  • trackingNumber (string): Carrier tracking number.
  • consignmentNumber (string): Shipment number.
  • customerSpecificCode (string): Package number.
  • barcodeLabelIntegrationTypeCode (string): Integration type used to generate the label.